explain_flock_or_die(3)

NAME
explain_flock_or_die - control advisory lock on open file and report errors

SYNOPSIS
#include <libexplain/flock.h>

void explain_flock_or_die(int fildes, int command);
int explain_flock_on_error(int fildes, int command))

DESCRIPTION
The explain_flock_or_die function is used to call the flock(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_flock(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_flock_on_error function is used to call the flock(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_flock(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the flock(2) system call.

command
    The command, exactly as to be passed to the flock(2) system call.

RETURN VALUE
The explain_flock_or_die function only returns on success, see flock(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_flock_on_error function always returns the value return by the wrapped flock(2) system call.

EXAMPLE
The explain_flock_or_die function is intended to be used in a fashion similar to the following example:
    explain_flock_or_die(fildes, command);

SEE ALSO

flock(2)
    apply or remove an advisory lock on an open file

explain_flock(3)
    explain flock(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller